CREATE TABLE hrc_dl_layout_params (
    LAYOUT_PARAM_ID          NUMBER(18, 0) ,
    SGUID                    VARCHAR2(128) ,
    LAYOUT_ID                NUMBER(18, 0)     NOT NULL,
    PARAM_NAME               VARCHAR2(960)     NOT NULL,
    PARAM_VALUE              VARCHAR2(1600),
    PARAM_MANDATORY          VARCHAR2(120)     NOT NULL,
    PARAM_TYPE               VARCHAR2(120)     NOT NULL,
    PARAM_DATA_TYPE          VARCHAR2(120) ,
    PARAMETER_ID             NUMBER(18, 0) ,
    MODULE_ID                VARCHAR2(128) ,
    ENTERPRISE_ID            NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    LAYOUT_PARAM_ID          NUMBER(18, 0) ,
    LAYOUT_ID                NUMBER(18, 0)     NOT NULL,
    PARAM_NAME               VARCHAR2(960)     NOT NULL,
    PARAM_VALUE              VARCHAR2(1600),
    PARAM_MANDATORY          VARCHAR2(120)     NOT NULL,
    PARAM_TYPE               VARCHAR2(120)     NOT NULL,
    PARAM_DATA_TYPE          VARCHAR2(120) ,
    ENTERPRISE_ID            NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    PARAMETER_ID             NUMBER(18, 0) ,
    MODULE_ID                VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    SGUID                    VARCHAR2(128) ,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hrc_dl_layout_params PRIMARY KEY (LAYOUT_PARAM_ID, ENTERPRISE_ID, LAYOUT_PARAM_ID, ENTERPRISE_ID)
);
